<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <style>
    .header{
        margin: 0;
        color: white;
    }
    body{
      background: linear-gradient(45deg, #7F7FD5, #86A8E7, #91EAE4) fixed;
      text-align: center;
      font-family: 'Lato', sans-serif;
    }
    .tableBack{
        background-color: white;
        margin: auto;
        width: 50%;
        border-radius: 2vh;
        padding: 3vh;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }
    table {
      table-layout: fixed;
      border-collapse: collapse;
      width: 90%;
      margin-left: auto;
      margin-right: auto;
    }
    td {
      border: 1px solid #000;
      width: 50px;
    }
    td+td {
      width: auto;
    }
  </style>
  <body>
    <br>
    <h2 class="header">Here's your friends right now</h2>
    <p class="header">don't hestite to add more friends in <a href="add">here</a></p>
    <br>
    <div class="tableBack">
      <div class="table">
        <table>
          <tr>
            <th>Name</th>
            <th>NPM</th>
            <th>DOB</th>
          </tr>
          {% for i in friends %}
          <tr>
            <td>
              {{i.name}}
            </td>
            <td>
              {{i.npm}}
            </td>
            <td>
              {{i.DOB}}
            </td>
          </tr>
          {% endfor %}
        </table>
      </div>
    </div>  
  </body>
</html>
